aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/vdb/vdb_repository_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/vdb/vdb_repository_TEST_setup.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/paludis/repositories/vdb/vdb_repository_TEST_setup.sh b/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
new file mode 100755
index 0000000..e816209
--- /dev/null
+++ b/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir -p vdb_repository_TEST_dir || exit 1
+cd vdb_repository_TEST_dir || exit 1
+
+mkdir -p repo1/cat-{one/{pkg-one-1,pkg-both-1},two/{pkg-two-2,pkg-both-2}} || exit 1
+
+for i in SLOT EAPI; do
+ echo "0" >repo1/cat-one/pkg-one-1/${i}
+done
+
+for i in DEPEND RDEPEND LICENSE INHERITED IUSE PDEPEND PROVIDE; do
+ touch repo1/cat-one/pkg-one-1/${i}
+done
+
+echo "flag1 flag2" >>repo1/cat-one/pkg-one-1/USE